--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/src/jdk.jpackage/linux/classes/jdk/jpackage/internal/resources/template.postinst Fri Nov 23 09:02:17 2018 -0500
@@ -0,0 +1,61 @@
+#!/bin/sh
+# postinst script for APPLICATION_NAME
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postinst> `configure' <most-recently-configured-version>
+# * <old-postinst> `abort-upgrade' <new version>
+# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+# <new-version>
+# * <postinst> `abort-remove'
+# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+# <failed-install-package> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+case "$1" in
+ configure)
+ if [ "CREATE_JRE_INSTALLER" != "true" ]; then
+ echo Adding shortcut to the menu
+SECONDARY_LAUNCHERS_INSTALL
+ xdg-desktop-menu install --novendor INSTALLATION_DIRECTORY/APPLICATION_FS_NAME/APPLICATION_LAUNCHER_FILENAME.desktop
+FILE_ASSOCIATION_INSTALL
+ fi
+ if [ "SERVICE_HINT" = "true" ]; then
+ echo Installing daemon
+ cp INSTALLATION_DIRECTORY/APPLICATION_FS_NAME/APPLICATION_PACKAGE.init /etc/init.d/APPLICATION_PACKAGE
+
+ if [ -x "/etc/init.d/APPLICATION_PACKAGE" ]; then
+ update-rc.d APPLICATION_PACKAGE defaults
+
+ if [ "START_ON_INSTALL" = "true" ]; then
+ if which invoke-rc.d >/dev/null 2>&1; then
+ invoke-rc.d APPLICATION_PACKAGE start
+ else
+ /etc/init.d/APPLICATION_PACKAGE start
+ fi
+ fi
+ fi
+
+ fi
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0